ColorBrewer color ramps: better GUI organization

2011-11-16 07:43 AM - Paolo Cavallini

Status: Open

Priority: Low

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 14458

Description

ColorBrewer ramps belong to 3 different types: sequential, diverging and qualitative. In the current GUI they are all mixed. Better to divide

them in submenus. Additionally, better use the max number of categories as a default (this is likely more useful for the user).

History

#1 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-16 06:32 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 11:55 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-23 06:18 AM - Paolo Cavallini

CB ramps could be removed, now that we have cpt-city

#5 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-12-05 05:38 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

this is an old bug and I am not sure to understand everything.

In QGIS 2.13, color ramps are not classified (as far as I can see in the style manager). So it seems that the bug is unfixed. Or did you mean something else

?

#7 - 2015-12-05 05:57 AM - Paolo Cavallini

Correct, it is not fixed. Thanks.

However, now CB ramps are included in cpt-city section, where they are classified. Perhaps the CB submenu could be removed after all.
#8 - 2015-12-20 03:22 AM - Giovanni Manghi

- Tracker changed from Bug report to Feature request

- Status changed from Feedback to Open

#9 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#10 - 2018-02-23 05:17 PM - Paolo Cavallini

- Priority changed from Normal to Low

Still true in QGIS 3
